Bug 924061 - @gnome-desktop default option groups for gnome-boxes and evolution
@gnome-desktop default option groups for gnome-boxes and evolution
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 00:49 EDT by Jens Petersen
Modified: 2015-02-17 09:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:53:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-03-21 00:49:50 EDT
Description of problem:
VM guest installs of Fedora are becoming increasingly common.
It doesn't really make sense to run virt inside a guest I think
so I would like to suggest that virt support (gnome-boxes) should not
be installed by default.
Comment 1 Bill Nottingham 2013-03-21 14:11:15 EDT
This is probably best solved with the idea of default-on-but-able-to-be-deselected option groups.
Comment 2 Jens Petersen 2013-03-22 01:01:46 EDT
(In reply to comment #1)
> This is probably best solved with the idea of
> default-on-but-able-to-be-deselected option groups.

+1

I think we had some early on for F18 which I liked.
Comment 3 Jens Petersen 2013-04-01 04:28:00 EDT
Another good candidate for this would be desktop accessibility IMHO,
and also apps like evolution.
Comment 4 Jens Petersen 2013-04-01 04:28:30 EDT
Maybe also input-methods
Comment 5 Matthias Clasen 2013-04-16 11:59:54 EDT
I don't think accessibility or internationalization are optional.
What are we trying to achieve here ?
Is this another minimal-install-in-disguise ?
Comment 6 Jens Petersen 2013-04-17 02:01:03 EDT
I would like the core gnome group to be just for the core desktop itself
and then have one or more optional default groups for applications
(ie which would be installed by default) for things like
evolution, gnome-boxes, totem, etc.

I think not everyone needs accessibility so being able to
skip it would be okay - similarly some users will never
use input methods so I would not object to having
@input-method shown in anaconda (defaulting to checked)
allowing people to skip installation.

Anyway I originally filed this bug since I felt it
is a little strange to install gnome-boxes by default
since it can't really be used in VM guests where many people
install fedora.  Myself I am quite used to virt-manager.

In the early F18 cycle various default groups were listed
and could be deselected before install which I thought
was quite attractive.  I think this could be use for
many of the Fedora desktop and other environments too.
Comment 7 Bill Nottingham 2013-04-17 10:30:54 EDT
evo and boxes I could see being separate-but-selected-by-default. i18n & a11y should be core desktop features, IMO.
Comment 8 Jens Petersen 2013-04-17 23:52:03 EDT
(In reply to comment #7)
> evo and boxes I could see being separate-but-selected-by-default.

Okay, how do you think, Matthias?
Comment 9 Jens Petersen 2013-04-29 22:02:33 EDT
and of course how could I forget libreoffice!
Comment 10 Bill Nottingham 2013-04-30 16:11:56 EDT
I've sent patches to yum/anaconda to allow the possibility of options that are selected by default.
Comment 11 Jens Petersen 2013-05-09 06:07:29 EDT
Great thanks!

Let me assign back to Bill since I think this also is applicable
beyond just the @desktop group/environment.

(actually wish that yum was also aware of environments)
Comment 12 Jens Petersen 2013-05-16 22:31:57 EDT
(In reply to comment #10)
> I've sent patches to yum/anaconda to allow the possibility of options that
> are selected by default.

Bill, do you know if it has been committed yet?


(I guess libreoffice is only installed by default on Live.)
Comment 13 Bill Nottingham 2013-05-20 11:02:44 EDT
It's only in updates-testing for yum, so not pushed to anaconda yet.
Comment 14 Bill Nottingham 2013-05-29 16:27:29 EDT
Pushed to anaconda now.

Moving things like gnome-boxes, evolution, etc. outside of gnome-desktop would require creating new groups, which is new translatable strings. Would prefer not to do that at this point. I've gone ahead and changed the libreoffice group to default to on, though (to match the live image.)
Comment 15 Parag Nemade 2013-06-06 00:27:04 EDT
notting,
   What will be final status for libreoffice essential packages for F19 GA for livecd? Will they be now onwards be available as default installed packages for livecd?
Comment 16 Bill Nottingham 2013-06-06 10:32:01 EDT
LibreOffice is on the Desktop Live Image (not CD sized). They are also default-selected on the DVD when the GNOME environment is selected.
Comment 18 Fedora End Of Life 2015-01-09 12:47:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 09:53:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.